<?php

// Admin routes for demo
Route::group(['prefix' => trans_setlocale().'/admin/demo', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('demo', 'Lavalite\Demo\Http\Controllers\DemoAdminController');
});

// User routes for demo
Route::group(['prefix' => trans_setlocale().'/user/demo', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('demo', 'Lavalite\Demo\Http\Controllers\DemoUserController');
});

// Public routes for demo
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('demo/demo', 'Lavalite\Demo\Http\Controllers\DemoPublicController@index');
    Route::get('demo/demo/{slug?}', 'Lavalite\Demo\Http\Controllers\DemoPublicController@show');
});
// Admin routes for demo
Route::group(['prefix' => trans_setlocale().'/admin/demo', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('demo', 'Lavalite\Demo\Http\Controllers\DemoAdminController');
});

// User routes for demo
Route::group(['prefix' => trans_setlocale().'/user/demo', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('demo', 'Lavalite\Demo\Http\Controllers\DemoUserController');
});

// Public routes for demo
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('demo/demo', 'Lavalite\Demo\Http\Controllers\DemoPublicController@index');
    Route::get('demo/demo/{slug?}', 'Lavalite\Demo\Http\Controllers\DemoPublicController@show');
});
