<?php

namespace Lavalite\Demo\Repositories\Eloquent;

use Lavalite\Demo\Interfaces\DemoRepositoryInterface;
use Litepie\Database\Eloquent\BaseRepository;

class DemoRepository extends BaseRepository implements DemoRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Database\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.demo.demo.model');
    }
}
